<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <data>
        <!-- action -->
        <record id="action_sf_cutting_tool" model="ir.actions.act_window">
            <field name="name">整体式刀具型号</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.integral.cutting.tool</field>
<!--             <field name="view_type">form</field> -->
            <field name="view_mode">tree,form</field>
        </record>
        <!-- 功能刀具action -->
        <record id="action_sf_functional_cutting_tool" model="ir.actions.act_window">
            <field name="name">功能刀具型号</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.functional.cutting.tool</field>
            <field name="view_mode">tree,form</field>
        </record>
        <!-- 刀片action -->
        <record id="action_sf_cutting_tool_blade" model="ir.actions.act_window">
            <field name="name">刀片型号</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.blade</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         刀杆action -->
        <record id="action_sf_cutting_tool_rod" model="ir.actions.act_window">
            <field name="name">刀杆型号</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.cutter.bar</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         刀盘action -->
        <record id="action_sf_cutting_tool_disc" model="ir.actions.act_window">
            <field name="name">刀盘型号</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.cutter.pad</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         刀柄action -->
        <record id="action_sf_cutting_tool_handle" model="ir.actions.act_window">
            <field name="name">刀柄型号</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.handle</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         夹头action -->
        <record id="action_sf_cutting_tool_clamp_head" model="ir.actions.act_window">
            <field name="name">夹头型号</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.chuck</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         功能刀具类型action -->
        <record id="action_sf_functional_cutting_tool_type" model="ir.actions.act_window">
            <field name="name">功能刀具类型</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.functional.cutting.tool.model</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         整体式刀具类型action -->
        <record id="action_sf_integral_cutting_tool_type" model="ir.actions.act_window">
            <field name="name">整体式刀具类型</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.integral.cutting.tool.model</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         刀片类型action -->
        <record id="action_sf_cutting_tool_blade_type" model="ir.actions.act_window">
            <field name="name">刀片类型</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.blade.model</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         刀杆类型action -->
        <record id="action_sf_cutting_tool_rod_type" model="ir.actions.act_window">
            <field name="name">刀杆类型</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.cutter.bar.model</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         刀盘类型action -->
        <record id="action_sf_cutting_tool_disc_type" model="ir.actions.act_window">
            <field name="name">刀盘类型</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.cutter.pad.model</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         刀柄类型action -->
        <record id="action_sf_cutting_tool_handle_type" model="ir.actions.act_window">
            <field name="name">刀柄类型</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.handle.model</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         夹头类型action -->
        <record id="action_sf_cutting_tool_clamp_head_type" model="ir.actions.act_window">
            <field name="name">夹头类型</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.chuck.model</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         刀具物料action -->
        <record id="action_sf_cutting_tool_material" model="ir.actions.act_window">
            <field name="name">刀具物料</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.cutting.tool.material</field>
            <field name="view_mode">tree,form</field>
        </record>
<!--         测试 action -->
        <record id="action_sf_test" model="ir.actions.act_window">
            <field name="name">测试</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">sf.test</field>
            <field name="view_mode">tree,form</field>
        </record>
        <!-- 功能刀具 -->

<!--         parent="menu_sf_cutting_tool" -->
        <menuitem
                id="menu_sf_functional_cutting_tool"
                parent="menu_sf_base"
                name="功能刀具"
                sequence="3"
                action="action_sf_functional_cutting_tool"
                />
<!-- 刀具物料 -->
        <menuitem
                id="menu_sf_cutting_tool_material"
                parent="menu_sf_base"
                name="刀具物料"
                sequence="1"
                action="action_sf_cutting_tool_material"
                />


        <!-- 整体式刀具 -->
        <menuitem
                id="menu_sf_integral_cutting_tool"
                parent="menu_sf_base"
                name="整体式刀具型号"
                sequence="9"
                action="action_sf_cutting_tool"
                />
        <!-- 刀片 -->
        <menuitem
                id="menu_sf_cutting_tool_blade"
                parent="menu_sf_base"
                name="刀片型号"
                sequence="12"
                action="action_sf_cutting_tool_blade"
                />
<!--         刀杆 -->
        <menuitem
                id="menu_sf_cutting_tool_rod"
                parent="menu_sf_base"
                name="刀杆型号"
                sequence="16"
                action="action_sf_cutting_tool_rod"
                />
<!--         刀盘 -->
        <menuitem
                id="menu_sf_cutting_tool_disc"
                parent="menu_sf_base"
                name="刀盘型号"
                sequence="20"
                action="action_sf_cutting_tool_disc"
                />
<!--         刀柄 -->
        <menuitem
                id="menu_sf_cutting_tool_handle"
                parent="menu_sf_base"
                name="刀柄型号"
                sequence="28"
                action="action_sf_cutting_tool_handle"
                />
<!--         夹头 -->
        <menuitem
                id="menu_sf_cutting_tool_clamp_head"
                parent="menu_sf_base"
                name="夹头型号"
                sequence="36"
                action="action_sf_cutting_tool_clamp_head"
                />
<!--         功能刀具类型 -->
        <menuitem
                id="menu_sf_functional_cutting_tool_type"
                parent="menu_sf_base"
                name="功能刀具类型"
                sequence="40"
                action="action_sf_functional_cutting_tool_type"
                />
<!--         整体式刀具类型 -->
        <menuitem
                id="menu_sf_integral_cutting_tool_type"
                parent="menu_sf_base"
                name="整体式刀具类型"
                sequence="44"
                action="action_sf_integral_cutting_tool_type"
                />
<!--         刀片类型 -->
        <menuitem
                id="menu_sf_cutting_tool_blade_type"
                parent="menu_sf_base"
                name="刀片类型"
                sequence="48"
                action="action_sf_cutting_tool_blade_type"
                />
<!--         刀杆类型 -->
        <menuitem
                id="menu_sf_cutting_tool_rod_type"
                parent="menu_sf_base"
                name="刀杆类型"
                sequence="52"
                action="action_sf_cutting_tool_rod_type"
                />
<!--         刀盘类型 -->
        <menuitem
                id="menu_sf_cutting_tool_disc_type"
                parent="menu_sf_base"
                name="刀盘类型"
                sequence="56"
                action="action_sf_cutting_tool_disc_type"
                />
<!--         刀柄类型 -->
        <menuitem
                id="menu_sf_cutting_tool_handle_type"
                parent="menu_sf_base"
                name="刀柄类型"
                sequence="60"
                action="action_sf_cutting_tool_handle_type"
                />
<!--         夹头类型 -->
        <menuitem
                id="menu_sf_cutting_tool_clamp_head_type"
                parent="menu_sf_base"
                name="夹头类型"
                sequence="64"
                action="action_sf_cutting_tool_clamp_head_type"
                />
<!--         测试 -->
        <menuitem
                id="menu_sf_test"
                parent="menu_sf_base"
                name="测试"
                sequence="68"
                action="action_sf_test"
                />


    </data>
</odoo>
